curl --request POST \
--url https://api.plazbot.com/api/conversation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-workspace-id: <x-workspace-id>' \
--data '
{
"workspaceId": "<string>",
"template": "<string>",
"destination": "<string>",
"reference1": "<string>",
"reference2": "<string>",
"reference3": "<string>",
"variablesHeader": [
{
"variable": "<string>",
"value": "<string>"
}
],
"variablesBody": [
{
"variable": "<string>",
"value": "<string>"
}
],
"file": [
{
"fileUrl": "<string>",
"fileName": "<string>"
}
],
"sendType": "<string>",
"campaignName": "<string>"
}
'import requests
url = "https://api.plazbot.com/api/conversation"
payload = {
"workspaceId": "<string>",
"template": "<string>",
"destination": "<string>",
"reference1": "<string>",
"reference2": "<string>",
"reference3": "<string>",
"variablesHeader": [
{
"variable": "<string>",
"value": "<string>"
}
],
"variablesBody": [
{
"variable": "<string>",
"value": "<string>"
}
],
"file": [
{
"fileUrl": "<string>",
"fileName": "<string>"
}
],
"sendType": "<string>",
"campaignName": "<string>"
}
headers = {
"x-workspace-id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-workspace-id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
workspaceId: '<string>',
template: '<string>',
destination: '<string>',
reference1: '<string>',
reference2: '<string>',
reference3: '<string>',
variablesHeader: [{variable: '<string>', value: '<string>'}],
variablesBody: [{variable: '<string>', value: '<string>'}],
file: [{fileUrl: '<string>', fileName: '<string>'}],
sendType: '<string>',
campaignName: '<string>'
})
};
fetch('https://api.plazbot.com/api/conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"code": 123,
"errorCode": "<string>",
"message": "<string>",
"data": {
"contactId": "<string>"
}
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}{
"success": true,
"code": 123,
"message": "<string>",
"errorCode": "<string>"
}Enviar Conversacion (Plantilla)
Envia conversaciones de WhatsApp desde tu plataforma a tus clientes de forma masiva o individual utilizando plantillas. Se debe especificar el tipo de envio:
- 1: Campana
- 2: Individual
- 3: API
Por defecto, si no se envia el tipo, este llegara como API (3). Si se envia tipo API, se pueden agrupar los envios con el campo campaignName.
Authorizations
Token de autenticacion Bearer. Obtenga el token usando el endpoint /api/user/login
Headers
Identificador del workspace
Body
Identificador del workspace
Nombre de la plantilla a utilizar
Numero de WhatsApp del destinatario (ej: 574787443997)
Valor de referencia 1. Campos adicionales para almacenar informacion relevante sobre el mensaje. Utiles para categorizar, filtrar o buscar mensajes. Tambien se pueden usar en el webhook de la plantilla cuando el cliente hace clic en un boton interactivo.
Valor de referencia 2
Valor de referencia 3
Variables para el encabezado de la plantilla
Show child attributes
Show child attributes
Variables para el cuerpo de la plantilla
Show child attributes
Show child attributes
Archivos a enviar con la plantilla
Show child attributes
Show child attributes
Tipo de envio: 1=Campana, 2=Individual, 3=API. Por defecto: 3 (API)
Nombre de la campana. Se puede enviar para tipo API y Campana.
Response
Conversacion enviada exitosamente

